> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/bsc/submit-bundles/bsc-bundle-trace.md).

# Bundle Trace

The **Bundle-Trace** service allows users to check the status of a submitted bundle — whether it was included on-chain, or how it behaved within bloXroute’s internal system.

It provides detailed insights including the bundle hash, block number, simulation results, and visibility across bloXroute and external builders.

Bundle-Trace limits requests to **1 request every 30 seconds** and **4 requests per day**.

[Purchase the **Bundle Trace Add-on**](https://portal.bloxroute.com/pricing) to increase the limit to **60 requests per day** for this endpoint.

## Submission Endpoint

* Method: `bscbundletrace`
* Endpoint: `https://tools.bloxroute.com`

### **REQUEST**

### Parameters

<table><thead><tr><th>Name</th><th width="248.33333333333331">Description</th><th>Default</th></tr></thead><tbody><tr><td><code>auth_header</code></td><td><p>Allows the user to include the authentication in the URL string directly.</p><p>If the authentication is provided in both the header and the URL parameter, the one in the header will be used.</p></td><td>None</td></tr><tr><td><code>block_number</code></td><td>Allows the user to specify the block number they sent the bundle to.<br>In case the bundle was sent to multiple blocks - this parameter is mandatory</td><td>None</td></tr></tbody></table>

#### **Examples**

{% tabs %}
{% tab title="curl" %}

```bash
curl \
    -X GET \
    -H "Content-Type: application/json" \
    -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
    https://tools.bloxroute.com/bscbundletrace/<BUNDLE_HASH>

```

{% endtab %}

{% tab title="browser" %}

```
https://tools.bloxroute.com/bscbundletrace/<BUNDLE_HASH>?auth_header=<AUTH_HEADER>
```

{% endtab %}
{% endtabs %}

**Potential Responses**

<table><thead><tr><th width="339.68029739776955">Response</th><th width="428.3333333333333">Description</th></tr></thead><tbody><tr><td>bundle is on chain</td><td>The bundle is included in the on-chain block <code>timestamp</code> — Time (UTC) when bloXroute first received the bundle.</td></tr><tr><td>bundle not found in our database. Bundle data might take up to 10 minutes to load.</td><td>The bundle hash is not found in our database. Bundle data becomes available in our database 10 minutes after the bundle submission, so If the bundle was sent recently you can try again later.</td></tr><tr><td>bloXroute bid did not win</td><td>The validator did not choose bloXroute's block. <code>timestamp</code> — Time (UTC) when bloXroute first received the bundle.</td></tr><tr><td>bundle had an error on initial simulation - [error]</td><td>The bundle was not included in the block because it has an error not related to the other bundles and transactions. In case the bundle simulation fails when the bundle is the only bundle at the top of block, we consider it as an initial simulation error. Possible initial simulation errors are:<br><code>sandwich / frontrun bundles</code>, <code>bundle reverted</code>, <code>transaction nonce too low</code><br><code>timestamp</code> — Time (UTC) when bloXroute first received the bundle.</td></tr><tr><td>builder did not include bundle in the block - [reason]</td><td>The builder's winning block does not include this bunle. possible reasons:<br>- bundle sent too late<br>- bundle reverted or conflicted with other bundles/txs<br>- a more efficient arrangement was found that does not include this bundle<br><code>timestamp</code> — Time (UTC) when bloXroute first received the bundle.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/bsc/submit-bundles/bsc-bundle-trace.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
